searchNodes=[{"ref":"JsonJanitor.html","title":"JsonJanitor","type":"module","doc":"JsonJanitor helps sanitize elixir terms so that they can be serialized to JSON."},{"ref":"JsonJanitor.html#sanitize/1","title":"JsonJanitor.sanitize/1","type":"function","doc":"Accepts anything and returns a structure that can be serialized to JSON. This is useful in situations where you&#39;re not quite sure what can a function can receive, but you know it&#39;ll need to serialize to JSON. An example of such a situation is in a FallbackController of a Phoenix application. If you have a universal fallback and want to help callers of the API diagnose issues, you may want to return the fallback payload in the response. If that term happens to not be serializable to JSON then an internal server error will actually be returned. If JsonJanitor.sanitize/1 is used first, then you can be sure that it will always send properly. Another example is when an external service such as Sentry is used to report errors. If additional metadata is supplied surrounding an error and it cannot be guaranteed to be serializable, then the call to Sentry itself can fail. Using JsonJanitor.sanitize/1 on this data guarantees that the call will not fail because the data cannot serialize to JSON. Examples iex&gt; JsonJanitor.sanitize([:ok, &lt;&lt;128&gt;&gt;]) [&quot;:ok&quot;, &quot;&lt;&lt;128&gt;&gt;&quot;] Tuples are converted to lists. iex&gt; JsonJanitor.sanitize({&#39;cat&#39;}) [&#39;cat&#39;] Keyword lists are converted to maps. iex&gt; JsonJanitor.sanitize([option: 42]) %{option: 42} Atoms are converted to strings unless they are keys of maps. iex&gt; JsonJanitor.sanitize(%{horse: :dog}) %{horse: &quot;:dog&quot;} Map keys are converted to binary strings even if they are complex. iex&gt; JsonJanitor.sanitize(%{%{cat: 3} =&gt; {}}) %{&quot;%{cat: 3}&quot; =&gt; []} Map keys that are atoms are not converted to strings. They are left as atoms. iex&gt; JsonJanitor.sanitize(%{cat: 3}) %{cat: 3} Binaries which cannot be printed are converted to strings of the raw bit data. iex&gt; JsonJanitor.sanitize(&lt;&lt;128&gt;&gt;) &quot;&lt;&lt;128&gt;&gt;&quot; Structs are converted to maps and then their struct type is added to the map in the :struct_type key. iex&gt; JsonJanitor.sanitize(%TestStruct{}) %{struct_type: &quot;TestStruct&quot;, purpose: &quot;to purr&quot;, sound: &quot;meow&quot;} nil values are left as nil. iex&gt; JsonJanitor.sanitize(nil) nil"}]